%global libname libaime

Name:            aime
Version:         8.20170718
Release:         1%{?dist}
Summary:         An application embeddable programming language interpreter
License:         GPLv3+
URL:             http://aime-embedded.sourceforge.net/
Source0:         http://downloads.sourceforge.net/project/aime-embedded/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz
Patch0:          %{name}-8.20150211-ldflags.patch
Requires(post):  /sbin/install-info
Requires(preun): /sbin/install-info

%description
aime is a programming language with a C like syntax, intended for application
extending purposes. The aime collection comprises the language description, an
application embeddable interpreter (libaime), the interpreter C interface
description and a standalone interpreter. Many examples on how the interpreter
can be used (embedded in an application) are also available, together with 
some hopefully useful applications, such as expression evaluators.

%package         devel
Summary:         Development files for %{name}
Requires:        %{name}%{?_isa} = %{version}-%{release}

%description     devel
This package contains header files for developing applications that 
use %{name}.

%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%check
make check

%install
%make_install
find %{buildroot} -name '*.a' -delete -print
rm -frv %{buildroot}%{_infodir}/dir

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :
/sbin/install-info %{_infodir}/%{libname}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
  /sbin/install-info --delete %{_infodir}/%{libname}.info %{_infodir}/dir || :
fi

%files
%doc README TODO
%license COPYING
%{_bindir}/*
%{_mandir}/man1/*.1*
%{_infodir}/*.info*

%files devel
%{_includedir}/%{name}.h

%changelog
* Thu Jul 20 2017 Filipe Rosset <rosset.filipe@gmail.com> - 8.20170718-1
- Updated to new 8.20170718 upstream version, fixes rhbz #1469511

* Tue Jul 11 2017 Filipe Rosset <rosset.filipe@gmail.com> - 8.20170704-1
- Updated to new 8.20170704 upstream version, fixes rhbz #1465412

* Thu Jun 15 2017 Filipe Rosset <rosset.filipe@gmail.com> - 8.20170608-1
- Updated to new 8.20170608 upstream version, fixes rhbz #1448426

* Fri Apr 14 2017 Filipe Rosset <rosset.filipe@gmail.com> - 8.20170326-1
- Updated to new 8.20170326 upstream version, fixes rhbz #1421666

* Mon Feb 20 2017 Filipe Rosset <rosset.filipe@gmail.com> - 8.20170219-1
- Updated to new 8.20170219 upstream version, fixes rhbz #1421666

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 8.20170111-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jan 17 2017 Filipe Rosset <rosset.filipe@gmail.com> - 8.20170111-1
- Updated to new 8.20170111 upstream version, fixes rhbz #1413563

* Wed Nov 02 2016 Filipe Rosset <rosset.filipe@gmail.com> - 8.20161011-1
- Updated to new 8.20161011 upstream version, fixes rhbz #1383674

* Sun Sep 18 2016 Filipe Rosset <rosset.filipe@gmail.com> - 8.20160916-1
- Updated to new 8.20160916 upstream version, fixes rhbz #1376995

* Mon Sep 12 2016 Filipe Rosset <rosset.filipe@gmail.com> - 8.20160903-1
- Updated to new 8.20160903 upstream version, fixes rhbz #1354181

* Sun Jun 26 2016 Filipe Rosset <rosset.filipe@gmail.com> - 8.20160626-1
- Updated to new 8.20160626 upstream version, fixes rhbz #1350199

* Tue May 17 2016 Filipe Rosset <rosset.filipe@gmail.com> - 8.20160504-1
- Updated to new 8.20160504 upstream version, fixes rhbz #1249297

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 8.20150211-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8.20150211-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Apr  4 2015 Ville Skyttä <ville.skytta@iki.fi> - 8.20150211-2
- Don't strip binaries too early

* Wed Apr 01 2015 Christopher Meng <rpm@cicku.me> - 8.20150211-1
- Update to 8.20150211

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.20140511-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 21 2014 Christopher Meng <rpm@cicku.me> - 7.20140511-1
- Update to 7.20140511

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.20140427-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 30 2014 Christopher Meng <rpm@cicku.me> - 7.20140427-1
- Update to 7.20140427

* Mon Jan 06 2014 Ralf Corsépius <corsepiu@fedoraproject.org> - 7.20131209-2
- Use R: /sbin/install-info (Fix broken installation dependency).
- Use /sbin/install-info instead of install-info in scriptlets.
- Make %%preun compliant to the FPG.

* Sat Dec 21 2013 Christopher Meng <rpm@cicku.me> - 7.20131209-1
- Update to 7.20131209

* Fri Oct 11 2013 Christopher Meng <rpm@cicku.me> - 6.20130921-1
- Update to 6.20130921

* Mon Aug 26 2013 Christopher Meng <rpm@cicku.me> - 6.20130824-1
- Update to 6.20130824

* Mon Jul 29 2013 Christopher Meng <rpm@cicku.me> - 6.20130713-1
- Update to 6.20130713

* Fri May 31 2013 Christopher Meng <rpm@cicku.me> - 5.20130520-1
- Initial Package.
